Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.common.config.swing
Class AbstractConfigEditor

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      org.crosswire.common.config.swing.AbstractConfigEditor

All Implemented Interfaces:
  ImageObserver, MenuContainer, Serializable, Accessible, ButtonPaneListener, ConfigEditor

Direct Known Subclasses:
  TreeConfigEditor

    public abstract class AbstractConfigEditor

extends JPanel
implements ConfigEditor, ButtonPaneListener

An abstract base of a Configuration Editor.

Author:
  Joe Walker
See Also:
  `The GNU General Public License for details.`, Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPanel
`JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`protected ActionListener` | `al` Action when the user clicks on accept
`protected int` | `cards` How many cards have we created - we only need a tree if there are 2 or more cards
`protected org.crosswire.common.config.Config` | `config` The class that represents the Fields that we display
`protected Map<String,FormPane>` | `decks` A fast way to get at the configuration panels
`protected JDialog` | `dialog` The dialog that we are displayed in
`protected Map<String,Field>` | `fields` The set of fields that we are displaying
`private static org.slf4j.Logger` | `log` The log stream
`private static long` | `serialVersionUID` Serialization ID
`protected static ImageIcon` | `TASK_ICON_LARGE` The large task icon
`protected static ImageIcon` | `TASK_ICON_SMALL` The small task icon

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`AbstractConfigEditor()`

Method Summary
`protected void` | `addChoice(org.crosswire.common.config.Choice model)` Add a Choice to our set of panels
`void` | `applyPressed(ActionEvent ev)` Someone has pressed apply
`void` | `cancelPressed(ActionEvent ev)` Someone has pressed cancel
`void` | `construct(org.crosswire.common.config.Config aConfig)` The equivalent of a constructor, create a Config base with the set of Fields that it will display.
`protected void` | `hideDialog()` Close any open dialogs
`protected abstract void` | `initializeGUI()` Create the GUI
`protected void` | `localToScreen()` Take the data in the local storage area and copy it on screen.
`void` | `okPressed(ActionEvent ev)` Someone has pressed OK
`protected void` | `removeChoice(org.crosswire.common.config.Choice model)` Add a Choice to our set of panels
`protected void` | `screenToLocal()` Take the data displayed on screen an copy it to the local storage area.
`void` | `showDialog(Component parent, ActionListener newal)` Create a dialog to house a TreeConfig component using the default set of Fields
`protected abstract void` | `updateTree()` Update the tree structure

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cards

    protected int cards

  How many cards have we created - we only need a tree if there are 2 or more cards

### al

    protected ActionListener al

  Action when the user clicks on accept

### config

    protected org.crosswire.common.config.Config config

  The class that represents the Fields that we display

### dialog

    protected JDialog dialog

  The dialog that we are displayed in

### decks

    protected Map<String,FormPane> decks

  A fast way to get at the configuration panels

### fields

    protected Map<String,Field> fields

  The set of fields that we are displaying

### TASK_ICON_LARGE

    protected static final ImageIcon TASK_ICON_LARGE

  The large task icon

### TASK_ICON_SMALL

    protected static final ImageIcon TASK_ICON_SMALL

  The small task icon

### log

    private static final org.slf4j.Logger log

  The log stream

### serialVersionUID

    private static final long serialVersionUID

  Serialization ID

  See Also:
    Constant Field Values

Constructor Detail

### AbstractConfigEditor

    public AbstractConfigEditor()

Method Detail

### construct

    public void construct(org.crosswire.common.config.Config aConfig)

  Description copied from interface: `ConfigEditor`
  The equivalent of a constructor, create a Config base with the set of Fields that it will display.

  Specified by:
    `construct` in interface `ConfigEditor`
  Parameters:
    `aConfig` - The configurable settings

### showDialog

    public void showDialog(Component parent,
                           ActionListener newal)

  Description copied from interface: `ConfigEditor`
  Create a dialog to house a TreeConfig component using the default set of Fields

  Specified by:
    `showDialog` in interface `ConfigEditor`
  Parameters:
    `parent` - A component to use to find a frame to use as a dialog parent

### initializeGUI

    protected abstract void initializeGUI()

  Create the GUI

### updateTree

    protected abstract void updateTree()

  Update the tree structure

### okPressed

    public void okPressed(ActionEvent ev)

  Description copied from interface: `ButtonPaneListener`
  Someone has pressed OK

  Specified by:
    `okPressed` in interface `ButtonPaneListener`
  Parameters:
    `ev` - The button press event

### cancelPressed

    public void cancelPressed(ActionEvent ev)

  Description copied from interface: `ButtonPaneListener`
  Someone has pressed cancel

  Specified by:
    `cancelPressed` in interface `ButtonPaneListener`
  Parameters:
    `ev` - The button press event

### applyPressed

    public void applyPressed(ActionEvent ev)

  Description copied from interface: `ButtonPaneListener`
  Someone has pressed apply

  Specified by:
    `applyPressed` in interface `ButtonPaneListener`
  Parameters:
    `ev` - The button press event

### addChoice

    protected void addChoice(org.crosswire.common.config.Choice model)

  Add a Choice to our set of panels

### removeChoice

    protected void removeChoice(org.crosswire.common.config.Choice model)

  Add a Choice to our set of panels

### hideDialog

    protected void hideDialog()

  Close any open dialogs

### screenToLocal

    protected void screenToLocal()

  Take the data displayed on screen an copy it to the local storage area.

### localToScreen

    protected void localToScreen()

  Take the data in the local storage area and copy it on screen.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD